## org.mariadb.jdbc.internal.util.scheduler
Interface DynamicSizedSchedulerInterface

All Superinterfaces:
  Executor, ExecutorService, ScheduledExecutorService

All Known Implementing Classes:
  DynamicSizedSchedulerImpl

    public interface DynamicSizedSchedulerInterface

extends ScheduledExecutorService

Method Summary
`void` `setPoolSize(int newSize)` Update the pool thread count with this new value.

Methods inherited from interface java.util.concurrent.ScheduledExecutorService
`schedule, schedule, scheduleAtFixedRate, scheduleWithFixedDelay`

Methods inherited from interface java.util.concurrent.ExecutorService
`awaitTermination, invokeAll, invokeAll, invokeAny, invokeAny, isShutdown, isTerminated, shutdown, shutdownNow, submit, submit, submit`

Methods inherited from interface java.util.concurrent.Executor
`execute`

Method Detail

### setPoolSize

    void setPoolSize(int newSize)

  Update the pool thread count with this new value.

  Parameters:
    `newSize` - New pool size that is superior to 0

Copyright © 2017. All rights reserved.